aboutsummaryrefslogtreecommitdiffstats
path: root/buildconfigs/select-linux-image
diff options
context:
space:
mode:
authorKeir Fraser <keir.fraser@citrix.com>2008-02-12 14:59:01 +0000
committerKeir Fraser <keir.fraser@citrix.com>2008-02-12 14:59:01 +0000
commit3eae93972b9e0b74e3060603d29eebec7d89d14a (patch)
tree2b12334583c5203f37d793cb7f9b0152864025d8 /buildconfigs/select-linux-image
parentb650bde790d6e2c918de3d2ce3b2a89d56b25896 (diff)
downloadxen-3eae93972b9e0b74e3060603d29eebec7d89d14a.tar.gz
xen-3eae93972b9e0b74e3060603d29eebec7d89d14a.tar.bz2
xen-3eae93972b9e0b74e3060603d29eebec7d89d14a.zip
[BUILD] Fixup support for building upstream kernels.
In particular: - support merged x86 architecture. To facilitate this it made sense to encode some existing logic in shell scripts rather than increasing complicated make conditionals. - set CONFIG_PARAVIRT_GUEST=y which is required for newer kernels. Signed-off-by: Ian Campbell <ian.campbell@citrix.com>
Diffstat (limited to 'buildconfigs/select-linux-image')
-rwxr-xr-xbuildconfigs/select-linux-image33
1 files changed, 33 insertions, 0 deletions
diff --git a/buildconfigs/select-linux-image b/buildconfigs/select-linux-image
new file mode 100755
index 0000000000..07899f80e2
--- /dev/null
+++ b/buildconfigs/select-linux-image
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+ME=$(basename $0)
+
+if [ $# -lt 3 ] ; then
+ echo "usage: $ME <linux-build-directory> <linux-arch> <linux-targets...>" 1>&2
+ exit 1;
+fi
+
+LINUX_DIR=$1
+LINUX_ARCH=$2
+LINUX_TARGET=$3 # We don't care about second and subsequent targets
+
+case ${XEN_TARGET_ARCH} in
+ ia64)
+ IMAGE=${LINUX_DIR}/arch/ia64/hp/sim/boot/vmlinux.gz
+ ;;
+ *)
+ if [ -f ${LINUX_DIR}/arch/${LINUX_ARCH}/boot/${LINUX_TARGET} ] ; then
+ IMAGE=${LINUX_DIR}/arch/${LINUX_ARCH}/boot/${LINUX_TARGET}
+ elif [ -f ${LINUX_DIR}/${LINUX_TARGET} ] ; then
+ IMAGE=${LINUX_DIR}/${LINUX_TARGET}
+ else
+ echo "$ME: cannot determine Linux image to use for ${LINUX_ARCH} in ${LINUX_DIR}" 1>&2
+ exit 1
+ fi
+ ;;
+esac
+
+echo "$ME: ${IMAGE}" 1>&2
+echo ${IMAGE}
+
+exit 0